### Enumeration

# EBookContacts BookClientError

since: 3.2

#### Declaration

    error-domain EBookContacts.BookClientError

#### Description [src]

Error codes returned by `EBookClient` APIs, if an `EClientError` was not available.

Available since: 3.2

#### Members

`E_BOOK_CLIENT_ERROR_NO_SUCH_BOOK`

  Requested book did not exist.

  - Value: `0`
  - Available since: 3.2
`E_BOOK_CLIENT_ERROR_CONTACT_NOT_FOUND`

  Contact referred to was not found.

  - Value: `1`
  - Available since: 3.2
`E_BOOK_CLIENT_ERROR_CONTACT_ID_ALREADY_EXISTS`

  Tried to add a contact which already exists.

  - Value: `2`
  - Available since: 3.2
`E_BOOK_CLIENT_ERROR_NO_SUCH_SOURCE`

  Referred `ESource` does not exist.

  - Value: `3`
  - Available since: 3.2
`E_BOOK_CLIENT_ERROR_NO_SPACE`

  Out of disk space.

  - Value: `4`
  - Available since: 3.2